CMSIS-Driver: Driver_ETH_MAC.c File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_ETH_MAC.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_ETH_MAC_GetVersion (void)
| Get driver version. More...
ARM_ETH_MAC_CAPABILITIES | ARM_ETH_MAC_GetCapabilities (void)
| Get driver capabilities. More...
int32_t | ARM_ETH_MAC_Initialize (ARM_ETH_MAC_SignalEvent_t cb_event)
| Initialize Ethernet MAC Device. More...
int32_t | ARM_ETH_MAC_Uninitialize (void)
| De-initialize Ethernet MAC Device. More...
int32_t | ARM_ETH_MAC_PowerControl (ARM_POWER_STATE state)
| Control Ethernet MAC Device Power. More...
int32_t | ARM_ETH_MAC_GetMacAddress (ARM_ETH_MAC_ADDR *ptr_addr)
| Get Ethernet MAC Address. More...
int32_t | ARM_ETH_MAC_SetMacAddress (const ARM_ETH_MAC_ADDR *ptr_addr)
| Set Ethernet MAC Address. More...
int32_t | ARM_ETH_MAC_SetAddressFilter (const ARM_ETH_MAC_ADDR *ptr_addr, uint32_t num_addr)
| Configure Address Filter. More...
int32_t | ARM_ETH_MAC_SendFrame (const uint8_t *frame, uint32_t len, uint32_t flags)
| Send Ethernet frame. More...
int32_t | ARM_ETH_MAC_ReadFrame (uint8_t *frame, uint32_t len)
| Read data of received Ethernet frame. More...
uint32_t | ARM_ETH_MAC_GetRxFrameSize (void)
| Get size of received Ethernet frame. More...
int32_t | ARM_ETH_MAC_GetRxFrameTime (ARM_ETH_MAC_TIME *time)
| Get time of received Ethernet frame. More...
int32_t | ARM_ETH_MAC_GetTxFrameTime (ARM_ETH_MAC_TIME *time)
| Get time of transmitted Ethernet frame. More...
int32_t | ARM_ETH_MAC_Control (uint32_t control, uint32_t arg)
| Control Ethernet Interface. More...
int32_t | ARM_ETH_MAC_ControlTimer (uint32_t control, ARM_ETH_MAC_TIME *time)
| Control Precision Timer. More...
int32_t | ARM_ETH_MAC_PHY_Read (uint8_t phy_addr, uint8_t reg_addr, uint16_t *data)
| Read Ethernet PHY Register through Management Interface. More...
int32_t | ARM_ETH_MAC_PHY_Write (uint8_t phy_addr, uint8_t reg_addr, uint16_t data)
| Write Ethernet PHY Register through Management Interface. More...
void | ARM_ETH_MAC_SignalEvent (uint32_t event)
| Callback function that signals a Ethernet Event. More...